com.sun.java.xml.ns.persistence

## Class Persistence.PersistenceUnit

- java.lang.Object
- - com.sun.java.xml.ns.persistence.Persistence.PersistenceUnit

- Enclosing class:
    Persistence

      public static class Persistence.PersistenceUnit
      extends Object

  Configuration of a persistence unit.

  Java-Klasse für anonymous complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="provider" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="jta-data-source" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="non-jta-data-source" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="mapping-file" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
               <element name="jar-file" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
               <element name="class" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
               <element name="exclude-unlisted-classes" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="shared-cache-mode" type="{http://java.sun.com/xml/ns/persistence}persistence-unit-caching-type" minOccurs="0"/>
               <element name="validation-mode" type="{http://java.sun.com/xml/ns/persistence}persistence-unit-validation-mode-type" minOccurs="0"/>
               <element name="properties" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="property" maxOccurs="unbounded" minOccurs="0">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 <attribute name="value" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="transaction-type" type="{http://java.sun.com/xml/ns/persistence}persistence-unit-transaction-type" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Persistence.PersistenceUnit.Properties` Java-Klasse für anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `clazz`
    `protected String` | `description`
    `protected Boolean` | `excludeUnlistedClasses`
    `protected List<String>` | `jarFile`
    `protected String` | `jtaDataSource`
    `protected List<String>` | `mappingFile`
    `protected String` | `name`
    `protected String` | `nonJtaDataSource`
    `protected Persistence.PersistenceUnit.Properties` | `properties`
    `protected String` | `provider`
    `protected PersistenceUnitCachingType` | `sharedCacheMode`
    `protected PersistenceUnitTransactionType` | `transactionType`
    `protected PersistenceUnitValidationModeType` | `validationMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistenceUnit()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getClazz()` Gets the value of the clazz property.
    `String` | `getDescription()` Ruft den Wert der description-Eigenschaft ab.
    `List<String>` | `getJarFile()` Gets the value of the jarFile property.
    `String` | `getJtaDataSource()` Ruft den Wert der jtaDataSource-Eigenschaft ab.
    `List<String>` | `getMappingFile()` Gets the value of the mappingFile property.
    `String` | `getName()` Ruft den Wert der name-Eigenschaft ab.
    `String` | `getNonJtaDataSource()` Ruft den Wert der nonJtaDataSource-Eigenschaft ab.
    `Persistence.PersistenceUnit.Properties` | `getProperties()` Ruft den Wert der properties-Eigenschaft ab.
    `String` | `getProvider()` Ruft den Wert der provider-Eigenschaft ab.
    `PersistenceUnitCachingType` | `getSharedCacheMode()` Ruft den Wert der sharedCacheMode-Eigenschaft ab.
    `PersistenceUnitTransactionType` | `getTransactionType()` Ruft den Wert der transactionType-Eigenschaft ab.
    `PersistenceUnitValidationModeType` | `getValidationMode()` Ruft den Wert der validationMode-Eigenschaft ab.
    `Boolean` | `isExcludeUnlistedClasses()` Ruft den Wert der excludeUnlistedClasses-Eigenschaft ab.
    `void` | `setDescription(String value)` Legt den Wert der description-Eigenschaft fest.
    `void` | `setExcludeUnlistedClasses(Boolean value)` Legt den Wert der excludeUnlistedClasses-Eigenschaft fest.
    `void` | `setJtaDataSource(String value)` Legt den Wert der jtaDataSource-Eigenschaft fest.
    `void` | `setName(String value)` Legt den Wert der name-Eigenschaft fest.
    `void` | `setNonJtaDataSource(String value)` Legt den Wert der nonJtaDataSource-Eigenschaft fest.
    `void` | `setProperties(Persistence.PersistenceUnit.Properties value)` Legt den Wert der properties-Eigenschaft fest.
    `void` | `setProvider(String value)` Legt den Wert der provider-Eigenschaft fest.
    `void` | `setSharedCacheMode(PersistenceUnitCachingType value)` Legt den Wert der sharedCacheMode-Eigenschaft fest.
    `void` | `setTransactionType(PersistenceUnitTransactionType value)` Legt den Wert der transactionType-Eigenschaft fest.
    `void` | `setValidationMode(PersistenceUnitValidationModeType value)` Legt den Wert der validationMode-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected String description

    - #### provider

          protected String provider

    - #### jtaDataSource

          protected String jtaDataSource

    - #### nonJtaDataSource

          protected String nonJtaDataSource

    - #### mappingFile

          protected List<String> mappingFile

    - #### jarFile

          protected List<String> jarFile

    - #### clazz

          protected List<String> clazz

    - #### excludeUnlistedClasses

          protected Boolean excludeUnlistedClasses

    - #### sharedCacheMode

          protected PersistenceUnitCachingType sharedCacheMode

    - #### validationMode

          protected PersistenceUnitValidationModeType validationMode

    - #### properties

          protected Persistence.PersistenceUnit.Properties properties

    - #### name

          protected String name

    - #### transactionType

          protected PersistenceUnitTransactionType transactionType

  - ### Constructor Detail

    - #### PersistenceUnit

          public PersistenceUnit()

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      Ruft den Wert der description-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setDescription

          public void setDescription(String value)

      Legt den Wert der description-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getProvider

          public String getProvider()

      Ruft den Wert der provider-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setProvider

          public void setProvider(String value)

      Legt den Wert der provider-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getJtaDataSource

          public String getJtaDataSource()

      Ruft den Wert der jtaDataSource-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setJtaDataSource

          public void setJtaDataSource(String value)

      Legt den Wert der jtaDataSource-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getNonJtaDataSource

          public String getNonJtaDataSource()

      Ruft den Wert der nonJtaDataSource-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setNonJtaDataSource

          public void setNonJtaDataSource(String value)

      Legt den Wert der nonJtaDataSource-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getMappingFile

          public List<String> getMappingFile()

      Gets the value of the mappingFile property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the mappingFile property.

      For example, to add a new item, do as follows:

              getMappingFile().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getJarFile

          public List<String> getJarFile()

      Gets the value of the jarFile property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the jarFile property.

      For example, to add a new item, do as follows:

              getJarFile().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getClazz

          public List<String> getClazz()

      Gets the value of the clazz property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the clazz property.

      For example, to add a new item, do as follows:

              getClazz().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### isExcludeUnlistedClasses

          public Boolean isExcludeUnlistedClasses()

      Ruft den Wert der excludeUnlistedClasses-Eigenschaft ab.
      Returns:
        possible object is `Boolean`

    - #### setExcludeUnlistedClasses

          public void setExcludeUnlistedClasses(Boolean value)

      Legt den Wert der excludeUnlistedClasses-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getSharedCacheMode

          public PersistenceUnitCachingType getSharedCacheMode()

      Ruft den Wert der sharedCacheMode-Eigenschaft ab.
      Returns:
        possible object is `PersistenceUnitCachingType`

    - #### setSharedCacheMode

          public void setSharedCacheMode(PersistenceUnitCachingType value)

      Legt den Wert der sharedCacheMode-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `PersistenceUnitCachingType`

    - #### getValidationMode

          public PersistenceUnitValidationModeType getValidationMode()

      Ruft den Wert der validationMode-Eigenschaft ab.
      Returns:
        possible object is `PersistenceUnitValidationModeType`

    - #### setValidationMode

          public void setValidationMode(PersistenceUnitValidationModeType value)

      Legt den Wert der validationMode-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `PersistenceUnitValidationModeType`

    - #### getProperties

          public Persistence.PersistenceUnit.Properties getProperties()

      Ruft den Wert der properties-Eigenschaft ab.
      Returns:
        possible object is `Persistence.PersistenceUnit.Properties`

    - #### setProperties

          public void setProperties(Persistence.PersistenceUnit.Properties value)

      Legt den Wert der properties-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `Persistence.PersistenceUnit.Properties`

    - #### getName

          public String getName()

      Ruft den Wert der name-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Legt den Wert der name-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getTransactionType

          public PersistenceUnitTransactionType getTransactionType()

      Ruft den Wert der transactionType-Eigenschaft ab.
      Returns:
        possible object is `PersistenceUnitTransactionType`

    - #### setTransactionType

          public void setTransactionType(PersistenceUnitTransactionType value)

      Legt den Wert der transactionType-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `PersistenceUnitTransactionType`

Copyright © 2015 buschmais GbR. All rights reserved.